Upload Counterparty Wallet Document File
POST/v1/crossborder/counterparties/:id/wallets/:wallet_id/documents
Upload a document file for a crossborder counterparty wallet (max size: 25 MB). The file will be associated with the specified counterparty ID and wallet ID.
Request
Path Parameters
Counterparty ID.
Wallet ID.
Header Parameters
The transaction ID is a UUID (v4) used to uniquely identify the object that will be created. All objects must have an identifier.
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
- multipart/form-data
Body
required
Document name.
Document description.
Possible values: [IDENTITY, PROOF_OF_ADDRESS, BANK_STATEMENT, INVOICE, CONTRACT, OTHER]
Document type.
Document file. Required.
Responses
- 201
- 401
- 403
- 422
The file upload returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
Counterparty wallet document ID.
User ID.
Counterparty ID.
File ID.
Document name.
Document description.
Possible values: [IDENTITY, PROOF_OF_ADDRESS, BANK_STATEMENT, INVOICE, CONTRACT, OTHER]
Document type.
Possible values: [PENDING_ANALYSIS, APPROVED, REJECTED]
Document status.
Document created date.
Document updated date.
{
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"user_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"counterparty_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"file_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"name": "Identity Document",
"description": "Front side of identity document",
"type": "IDENTITY",
"status": "PENDING_ANALYSIS",
"created_at": "2026-03-26T14:02:59.420Z",
"updated_at": "2026-03-26T14:02:59.420Z"
}
User authentication failed.
- application/json
- Schema
- Example (from schema)
Schema
- any
{
"statusCode": 401,
"error": "USER",
"message": "Access is denied."
}
User access denied.
- application/json
- Schema
- Example (from schema)
Schema
- any
{
"statusCode": 403,
"error": "USER",
"message": "Access denied to requested resource. User may not have sufficient permission."
}
If any required params are missing or have invalid format or type.
- application/json
- Schema
- Example (from schema)
Schema
- any
{
"statusCode": 422,
"error": "USER",
"message": "Invalid quote currency amount. The minimum allowed is 100, and you requested 61.",
"code": "INVALID_QUOTE_CURRENCY_MIN_AMOUNT"
}